# docker-compose build
# docker-compose up -d web
#docker run  -e POSTGRES_DB=gis -e POSTGRES_USER=docker -e POSTGRES_PASS=docker -e ALLOW_IP_RANGE=0.0.0.0/0 -p 55432:5432 registry.gitlab.com/pdci/postgis:latest
#docker run  -v ./conf:conf  registry.gitlab.com/pdci/image_file_dump/image_file_dump-prd:latest
#
version: '3'
volumes:
  pdci_postgis_data:
networks:
  tmpnetwork:
    driver: bridge
services:
  tmp_pdci_db_customiza:
    image: registry.gitlab.com/pdci/postgis:latest
    container_name: db_base_full_latest
    hostname: pdci_db_dump
    networks:
      - tmpnetwork
    environment:
      - POSTGRES_DB=gis
      - POSTGRES_USER=docker
      - POSTGRES_PASS=docker
      - ALLOW_IP_RANGE=0.0.0.0/0
    ports:
      - 55432:5432
#    volumes:
#      - pdci_db_customiza_postgis_data:/var/lib/postgresql/10/main
##    restart: on-failure


  tmp_file_dump_full_prd:
    image: registry.gitlab.com/pdci/image_file_dump/image_file_dump-prd:latest
    container_name: file_dump_full_prd
    hostname: file_dump_full_prd
    depends_on:
      - tmp_pdci_db_customiza
    networks:
      - tmpnetwork
    command:
       - pdci_gerar_db_file_customizado.sh
    volumes:
#      - "./scripts/esperar_conexao_db.sh:/bin/esperar_conexao_db.sh"
#      - "./scripts/descompactar.sh:/bin/descompactar.sh"
      - ./conf:/conf
      - ./dump:/dump
      - ./conf/pdci_log:/pdci_log
